LINTIAN-ANNOTATE-HINTS(1)

NAME
lintian-annotate-hints - give detailed information about Lintian's error tags

SYNOPSIS
lintian-annotate-hints [log-file...]

DESCRIPTION
The lintian-annotate-hints command parses the EWI output of the lintian command and gives verbose information about the listed Lintian tags, or parses a Lintian override file and gives verbose information about the tags included.

If no log-file is specified on the command line, this command expects its input on stdin. Thus, the output of lintian can either be piped through lintian-annotate-hints or a log file produced by lintian can be processed with this command.

  (Note, though, that the B<lintian> command has a command line option
B<-i> to display the same results as B<lintian-annotate-hints>, so you
normally do not need to pipe the output of B<lintian> through this
command to see the extra information.)

OPTIONS

-a, --annotate
    Read from standard input or any files specified on the command line and search the input for lines formatted like Lintian override entries. For each one that was found, display verbose information about that tag.

-h, --help
    Display usage information and exit.

--include-dir dir
    Use dir as an additional "Lintian root". The directory is expected have a similar layout to the LINTIAN_BASE (if it exists), but does not need to be a full self-contained root.

    Unlike lintian, lintian-annotate-hints will not load any code from these additional directories.

    This option may appear more than once; each time adding an additional directory.

--profile prof
    Use the severities from the vendor profile prof when displaying tags. If the profile name does not contain a slash, the default profile for that vendor is chosen.

    If not specified, annotate-lintian-hint loads the best profile for the current vendor.

    Please Refer to the Lintian User Manual for the full documentation of profiles.

--user-dirs, --no-user-dirs
    By default, lintian will check $HOME and /etc for files supplied by the user or the local sysadmin (e.g. profiles). This default can be disabled (and re-enabled) by using --no-user-dirs (and --user-dirs, respectively).

    These option can appear multiple times, in which case the of them to appear determines the result.

SEE ALSO
lintian(1)

AUTHORS
Niels Thykier <niels@thykier.net>

Richard Braakman <dark@xs4all.nl>

Christian Schwarz <schwarz@monet.m.isar.de>